var BordersArray = new Array();
var countBorders = 0; 
var partMsgs = new Array(); 
var msgAttachments = new Array();
var uidsSave = new Array(); 
var zebraDiscardEventDialog = false;
var saveBorderError = new Array(); 
var countID = 2;
var tab_content = "";
var lastIndexSelected = 0;

var ptabs = $("#ptabs").tabs({ 
	tabTemplate: "<li role='tab'><a href='#{href}'>#{label}</a> <span class='ui-icon ui-icon-close' title='Fechar Aba'>Fechar Aba</span></li>", 
	add: function( event, ui ) { 
	        countID++; 
	        $(ptabs).tabs('select', '#' + ui.panel.id); 
	        $.cookie('open_tabs', ($.cookie('open_tabs') ? $.cookie('open_tabs')+"," : "") +ui.panel.id.substring(6));
	        $( ui.panel ).addClass("conteudo").append(tab_content); 
	},
	show: function(event, ui){
		resizeWindow();
	},
	cookie: {
		expires: 1
	},
	select: function(event, ui) { 
		console.log(ui.index);
		lastIndexSelected = ui.index;
	}
}); 

//$(ptabs).find(".ui-tabs-nav").wrap("<div class='scroll-tabs'></div>");
/* 
	method : createTab
	descrition : create a new tab
	params : {
		label : Label of the tab
		* content : Content of the tab
		* href : Tab id 
		* callback : a function
	}
	comments : {
		#1 : if the user just set the label, a tab with blank content and a dynamic id is created
		#2 : if a tab with a set href already exists, don't duplicate, this function only select the tab 

	* = Optional
*/

function createTab(label, content,href, callback){
	if( !$("#ptabs_"+href).length){
		tab_content = content ? content : "";
		$(ptabs).tabs("add", "#ptabs_"+(href ? href : countID), (label.length > 21 ? label.substring(0, 18)+"..." : label));
		if(typeof(callback) == 'function') 
			callback($("#ptabs_"+(href ? href : countID)));
	}else{
		$(ptabs).tabs( "select", indexTab(href) );
	}
}


/* 
	method : removeTab
	descrition : remove a tab
	params : {
		* href : Tab id 
		* callback : a function
	}
	comments : {
		#1 : if the user doesn't set no parameter, this function just remove the open tab

	* = Optional
*/

function removeTab(href, callback){
	ptabs.tabs("remove", 
		(
			href ? 
			indexTab(href) : lastIndexSelected
		)
	);
	if(typeof(callback) == 'function') 
		callback();
}


/* 
	method : indexTab
	descrition : remove a tab
	params : {
		* href : Tab id 
	}
	comments : {
		#1 : if the user doesn't set no parameter, this function just return the index of the open tab

	* = Optional
*/

function indexTab(href){
	return href ? 
		$( "li", ptabs ).index( $('[href="'+href+'"]').parent() ) : lastIndexSelected;
}